%define anolis_release 10
%{!?_vpath_builddir:%global _vpath_builddir %{_target_platform}}
Name:           dde-control-center
Version:        5.5.182
Release:        9.%{anolis_release}%{?dist}
Summary:        New control center for Linux Deepin
License:        GPLv3
URL:            https://github.com/linuxdeepin/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
#add by uos
Patch0001:      0001-dde-control-center-uos-fix-modify-eulerServerEnduserAgreement_new-path.patch
# uel qt5 don't support
Patch0002:      0002-dde-control-center-delete-keyboard-wayland.patch
# activate butten
Patch0003:      0003-dde-control-center-uos-open-activate-button-for-1050.patch
# disable windowmoveswitch
Patch0004:      0004-dde-control-center-disable-windowmoveswitch.patch
# add setVersion
Patch0005:      0005-dde-control-center-feat-add-setVersion.patch
# uelc hide commoninfo
Patch0006:      0006-dde-control-center-feat-hide-commoninfo.patch
# add Free-license
Patch0007:      0007-dde-control-center-uos-add-Free-license.patch
# hidden power-press-powerbtn
Patch0008:      0008-dde-control-center-feat-hidden-power-press-powerbtn.patch
# modify copyright read current year
Patch0009:      0009-dde-control-center-feat-modify-copyright-read-current-year.patch
Patch0010:      0001-feat-root.patch
#end
Patch0011:      0010-hide-activate-function.patch

Patch0012:      0001-fix-license-error.patch

Patch0013:      0001-deepin-error.patch
Patch0014:      0001-fix-bug-7943.patch
Patch0015:      0001-fix-error-deepin.patch

BuildRequires:  gcc-c++
BuildRequires:  desktop-file-utils
BuildRequires:  dde-dock-devel
BuildRequires:  dde-network-core-devel
BuildRequires:  dtkwidget-devel
BuildRequires:  dtkgui-devel dtkcore-devel
BuildRequires:  dde-qt-dbus-factory-devel
BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  pkgconfig(geoip)
BuildRequires:  pkgconfig(libnm)
BuildRequires:  libpwquality-devel
BuildRequires:  qt5-devel
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  kf5-networkmanager-qt-devel
BuildRequires:  udisks2-qt5-devel
BuildRequires:  qt5-linguist
BuildRequires:  cmake
BuildRequires:  libXext-devel
BuildRequires:  gtest-devel
BuildRequires:  polkit-qt5-1-devel
BuildRequires:  deepin-pw-check
BuildRequires:  deepin-pw-check-devel
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  kf5-kwayland-devel
BuildRequires:  qt5-qtbase-static
BuildRequires:  libxkbcommon-devel
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  kf5-kwayland-devel
BuildRequires:  qt5-qtbase-static
BuildRequires:  libxkbcommon-devel
BuildRequires:  dareader-devel
BuildRequires:  qt5-qtbase-private-devel

Requires:       dde-account-faces
Requires:       dde-api
Requires:       dde-daemon
Requires:       dde-qt5integration
Requires:       dde-network-core
Requires:       startdde
Requires:       dde-server-industry-config
Requires:       deepin-pw-check
%ifnarch loongarch64
#Requires:       NetworkManager-l2tp
%endif
Requires:       cracklib

%description
New control center for Linux Deepin.

%package devel
Summary:        %{summary}

%description devel
%{summary}.

%prep
%setup -q -n %{name}-%{version}
%patch0001 -p1
%if 0%{?openeuler}
%patch0002 -p1
%endif
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
sed -i 's|lrelease|lrelease-qt5|' translate_generation.sh
sed -i -E '/add_compile_definitions/d' CMakeLists.txt

%build
%cmake . -DDCC_DISABLE_GRUB=YES \
         -DCVERSION=%{version}  \
         -DDISABLE_SYS_UPDATE=YES  \
         -DCMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir}
%make_build -C %{_vpath_builddir}

%post
## create-cracklib-dict /usr/share/dict/MainEnglishDictionary_ProbWL.txt

%postun
## if [ "$1" = "0" ] ; then
## 	create-cracklib-dict /usr/share/dict/MainEnglishDictionary_ProbWL.txt
## fi

%install
%make_install INSTALL_ROOT=%{buildroot} -C %{_vpath_builddir}
# place holder plugins dir
mkdir -p %{buildroot}%{_libdir}/%{name}/plugins
# https://github.com/linuxdeepin/dde-control-center/issues/115
# And we disabled SYS_UPDATE, so reboot-reminder-dialog is useless.
#rm %{buildroot}%{_bindir}/reboot-reminder-dialog
%ifnarch %{ix86}
mv %{buildroot}/usr/lib/libdccwidgets.so %{buildroot}%{_libdir}/
%endif
install -Dm644 com.deepin.controlcenter.addomain.policy %{buildroot}%{_datadir}/polkit-1/actions/

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop ||:

%ldconfig_scriptlets

%files
%doc README.md
%license LICENSE
%{_bindir}/abrecovery
%{_bindir}/dde-control-center
%{_bindir}/dde-control-center-wapper
%{_datadir}/
%{_libdir}/libdccwidgets.so
%{_prefix}/lib/dde-grand-search-daemon/
%{_sysconfdir}/xdg/autostart/deepin-ab-recovery.desktop

%files devel
%{_includedir}/dde-control-center
%{_libdir}/cmake/DdeControlCenter/

%changelog
* Wed Jan 24 2024 yangxianzhao <yangxianzhao@uniontech.com> - 5.5.182.4-9.4
- Update Requires

* Tue Jan 23 2024 yangxianzhao <yangxianzhao@uniontech.com> - 5.5.182.4-9.3
- remove NetworkManager-l2tp on loongarch

* Tue Nov 07 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.5.182.4-9.2
- rebuild for qt

* Wed Nov 01 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.5.182.4-9.1
- fix build error

* Sun Apr 23 2023 liweiganga <liweiganga@uniontech.com> - 5.5.182.4-9
- feat: 控制中心root用户无法修改其他用户的密码(bugid:191003)

* Thu Mar 30 2023 mahailiang <mahailiang@uniontech.com> - 5.5.182.4-8
- rebuild

* Wed Mar 08 2023 liweiganga <liweiganga@uniontech.com> - 5.5.182.4-7
- feat: modify copyright current year(bugid:189011)

* Wed Mar 01 2023 liweiganga <liweiganga@uniontech.com> - 5.5.182.4-6
- feat: hidden power-press-powerbtn(bugid:189171)

* Sat Feb 25 2023 mahailiang <mahailiang@uniontech.com> - 5.5.182.4-5
- rebuild

* Thu Feb 16 2023 liweiganga <liweiganga@uniontech.com> - 5.5.182.4-4
- feat: add Free license

* Tue Feb 07 2023 liweiganga <liweiganga@uniontech.com> - 5.5.182.4-3
- feat: uelc hide commoninfo

* Fri Feb 03 2023 liweiganga <liweiganga@uniontech.com> - 5.5.182.4-2
- spec: dde-network-utils replace for dde-network-core

* Thu Feb 02 2023 liweiganga <liweiganga@uniontech.com> - 5.5.182.4-1.03
- feat: add setVersion

* Wed Feb 01 2023 liweiganga <liweiganga@uniontech.com> - 5.5.182.4-1.02
- feat: disable windowmoveswitch

* Wed Jan 18 2023 liweiganga <liweiganga@uniontech.com> - 5.5.182.4-1.01
- spec: modify path

* Fri Jan 06 2023 liweiganga <liweiganga@uniontech.com> - 5.5.182.4-1
- update: update to 5.5.182

* Tue Nov 01 2022 herengui <herengui@uniontech.com> - 5.4.85.4-1
- feat: update to 5.4.85.4

* Fri Jun 24 2022 Lujun <wanglujun@uniontech.com> - 5.4.84.7-1.05
- fix: sync password dictionary(bugid:142197)

* Thu Jun 23 2022 liweiganga <liweiganga@uniontech.com> - 5.4.84.7-1.03
- fix: fix E control center not display User license protocol

* Mon Jun 13 2022 uoser <uoser@uniontech.com> - 5.4.84.7-1.02
- Update to 5.4.84.7

